package com.arms.api.analysis.resource.model.dto;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;


@Setter
@Getter
@AllArgsConstructor
@NoArgsConstructor
public class ResourceAggrDTO {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long getPdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> getPdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean isReq(){
        return pdServiceAndIsReq.getIsReq();
    }

}
